libzypp 17.37.10

zypp::xml::parse_def_assign Namespace Reference

parseDefAssign exposed details More...

## Classes
struct | Assigner
| Assigner assigns text to types constructible from `char*`. More...
struct | Assigner< void >
| Common interface to all Assigner types. More...
struct | Builder
| Helper class to build a Consumer. More...
struct | Consumer
| ParseDef consumer assigning Node text and attribues values to variables. More...

## Typedefs
using | AssignerRef = shared_ptr<Assigner<void>>

## Detailed Description

parseDefAssign exposed details

## Typedef Documentation

## ◆ AssignerRef

using zypp::xml::parse_def_assign::AssignerRef = shared_ptr<Assigner<void>>

Definition at line 131 of file ParseDefConsume.h.